<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/bdd/conectar.php');

$estaAbierta=false;

if($_SESSION['SGAEspecialAcrylicos']=='S' && $mysqlServidor) {

	//Comprobamos que la orden no esté ya abierta
	$temp=$conexionBdd->prepare("SELECT * FROM ".$mysqlPrefix."Preparacion WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00' AND Usuario<>?");
	$temp->execute(array($_SESSION['orden']['OrdenPreparacion'],$_SESSION['usuario']['Usuario']));
	if($temp->rowCount()>0) $estaAbierta=true;

}

//No está abierta por ningún usuario que no sea yo
if(!$estaAbierta) {
	
	if($_SESSION['SGAEspecialAcrylicos']=='S' && $mysqlServidor) {
	
		//Podría ocurrir, por diferencias en la sincronización, que en MySql constara como abierta por el mismo usuario. Lo comprobamos.
		$temp=$conexionBdd->prepare("SELECT * FROM ".$mysqlPrefix."Preparacion WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00' AND Usuario=?");
		$temp->execute(array($_SESSION['orden']['OrdenPreparacion'],$_SESSION['usuario']['Usuario']));
		if($temp->rowCount()>0) {
			$temp=$conexionBdd->prepare("UPDATE ".$mysqlPrefix."Preparacion SET Cerrada=now() WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00' AND Usuario=?");
			$temp->execute(array($_SESSION['orden']['OrdenPreparacion'],$_SESSION['usuario']['Usuario']));
		}
	}
	
	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INICIOPREPARACION#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$error=explode('#',$resultado[0]['Error']);
	
	
	if($error[0]==0) {
	
		$_SESSION['orden']['Estado']='Iniciada';
		
		if($_SESSION['SGAEspecialAcrylicos']=='S' && $mysqlServidor) {
		
			$temp=$conexionBdd->prepare("INSERT INTO ".$mysqlPrefix."Preparacion (NOrden,Usuario,Abierta,Cerrada) VALUES (?,?,now(),'0000-00-00')");
			$temp->execute(array($_SESSION['orden']['OrdenPreparacion'],$_SESSION['usuario']['Usuario']));
			
			unset($_SESSION['preparacionCajaActual']);
			
		} //Fin gestion paletizado NO -> registro muysql
		
	} //Fin no hay error en inicialización
	
	
	
	print_r($resultado[0]['Error']);
	
}
else {
	$datos=$temp->fetch();
	echo "1#La Orden de Preparación ".$_SESSION['orden']['OrdenPreparacion']." ya está abierta por el usuario: ".$datos['Usuario'].".";
}

include($rutaPhp.$rutaHtml.'/bdd/desconectar.php');

?>